| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# CS::SndSys Namespace Reference

## Classes
class | PCMSampleConverter
| A PCMSampleConverter object converts PCM data from one format to another. More...
class | QEntry
class | Queue
| A threadsafe, pointer-passing queue (First-In First-Out) implementation for the sound system. More...
class | QueueIterator
| A simple iterator over the elements of a queue. More...
class | SndSysBasicData
class | SndSysBasicStream
class | SoundCyclicBuffer
| An implementation of a cyclic buffer oriented for sound functionality. More...
## Enumerations
enum | QueueErrorType { QUEUE_SUCCESS = 0, QUEUE_ERR_CLOSED = -1, QUEUE_ERR_NOMEM = -2, QUEUE_ERR_DUPE = -3 }
| Basic operation error codes. More...

## Enumeration Type Documentation

enum CS::SndSys::QueueErrorType

Basic operation error codes.

Enumerator:

  QUEUE_SUCCESS | The operation was successful.
  QUEUE_ERR_CLOSED | The operation failed because the queue is m_bClosed. Closed queues fail further attempts to add elements
  QUEUE_ERR_NOMEM | The operation failed due to a memory allocation failure.
  QUEUE_ERR_DUPE | The operation failed due to another currently existing equivalent entry. If the queue is configured to check for duplicate entries, then this result may be returned

Definition at line 37 of file queue.h.